package fr.unistra.sil.erp.back.repository;

import org.springframework.stereotype.Repository;

import java.sql.*;
import java.util.logging.Level;
import java.util.logging.Logger;

@Repository
public class SqliteRepository {

    /**
     * SQL Connection object.
     */
    protected final Connection conn;

    /**
     * Class constructor.
     */
    public SqliteRepository(Connection conn) {
        this.conn = conn;
    }

    /**
     * Executes a standard query, without parameters.
     *
     * @param query the string's query.
     * @return the result set for this query.
     */
    protected ResultSet query(String query) {
        Statement stmt;
        ResultSet rs;
        try {
            stmt = this.conn.createStatement();
            rs = stmt.executeQuery(query);
        } catch (SQLException ex) {
            Logger.getLogger(this.getClass().getName()).log(
                    Level.SEVERE, "Failed to run query: " + query, ex);
            return null;
        }

        return rs;
    }
}
